<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <style>
        body {background-color: #e6f3ff;}
        .button {
          background-color: #007ae6;
          color: #e6f3ff;
          font-weight: bold;
        }
    </style>
    <title>Search job ads</title>
</head>
<body>
<h2>Search job ads at Jobtech Links</h2>
<form method="post">
    <input type="hidden" name="offset" value=0>
    <label for="query">Search query</label><br>
    <input name="query" type="text" value="{{query}}"> e.g. <i>occupations, cities, skills</i><br>
    <br>
    <button class="button" type="submit">Submit</button>
</form>
<br>
{% if result is defined %}
    Found {{result.number_of_hits}} ads<br>
    {% set next_offset = [offset+limit,result.number_of_hits]|min %}
    Page {{(offset+limit)//limit}}, hits {{offset+1}}-{{next_offset}}<br>
    <br>
    {% for hit in result.hits %}
        <b><a href="{{hit.first_url}}">{{hit.headline}}</a></b><br>
        {{hit.short_desc}}<br>
        {{hit.published}}<br>
        <br>
    {% endfor %}
    {% if next_offset < result.number_of_hits %}
        <form method="post">
            <input type="hidden" name="offset" value={{next_offset}}>
            <input type="hidden" name="query" value="{{query}}">
            <button class="button" type="submit">Next Page</button>
        </form>
        <br>
    {% endif %}
{% endif %}
</body>
</html>